org.eclipse.ease.lang.unittest.runtime.impl

## Class TestFile

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.ease.lang.unittest.runtime.impl.TestEntity
          - - org.eclipse.ease.lang.unittest.runtime.impl.TestContainer
            - - org.eclipse.ease.lang.unittest.runtime.impl.TestFile

All Implemented Interfaces:
  ITestContainer, ITestEntity, ITestFile, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject

    public class TestFile
    extends TestContainer
    implements ITestFile

An implementation of the model object 'Test File'.

The following features are implemented:

- `Insertion Order`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`CUSTOM_CODE, GLOBAL_SCOPE_TEST`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`long` `getEstimatedDuration()`
`int` `getInsertionOrder()`
`void` `reset()`
`void` `run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)`
`void` `setInsertionOrder(int newInsertionOrder)`
`void` `setTerminated(boolean newTerminated)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.ease.lang.unittest.runtime.impl.TestContainer

`eInverseAdd, eInverseRemove, eInvoke, getChildContainers, getChildren, getChildrenGen, getCopyOfChildren, getResource, getStatus, getTest, hasError, setResource`

### Methods inherited from class org.eclipse.ease.lang.unittest.runtime.impl.TestEntity

`addError, basicSetParent, eBasicRemoveFromContainerFeature, getDescription, getDuration, getEndTimestamp, getEntityStatus, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getTestSuite, getWorstResult, isDisabled, isTerminated, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEntityStatusGen, setEstimatedDuration, setName, setParent, setStartTimestamp`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestContainer

`getChildContainers, getChildren, getCopyOfChildren, getResource, getTest, setResource`

### Methods inherited from interface org.eclipse.ease.lang.unittest.runtime.ITestEntity

`addError, getDescription, getDuration, getEndTimestamp, getEntityStatus, getFullPath, getMetadata, getName, getParent, getResults, getResults, getRoot, getStartTimestamp, getStatus, getTestSuite, getWorstResult, hasError, isDisabled, isTerminated, setDescription, setDisabled, setEndTimestamp, setEntityStatus, setEstimatedDuration, setName, setParent, setStartTimestamp`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### getInsertionOrder

    public int getInsertionOrder()

Specified by:
  `getInsertionOrder` in interface `ITestFile`
Returns:
  the value of the 'Insertion Order' attribute.
See Also:
  `ITestFile.setInsertionOrder(int)`, `IRuntimePackage.getTestFile_InsertionOrder()`

#### setInsertionOrder

    public void setInsertionOrder(int newInsertionOrder)

Specified by:
  `setInsertionOrder` in interface `ITestFile`
Parameters:
  `newInsertionOrder` - the new value of the 'Insertion Order' attribute.
See Also:
  `ITestFile.getInsertionOrder()`

#### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `TestContainer`

#### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `TestContainer`

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `TestContainer`

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `TestContainer`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `TestContainer`

#### run

    public void run(org.eclipse.ease.lang.unittest.execution.ITestExecutionStrategy strategy)

Description copied from class: `TestEntity`

Specified by:
  `run` in interface `ITestEntity`
Overrides:
  `run` in class `TestContainer`

#### setTerminated

    public void setTerminated(boolean newTerminated)

Specified by:
  `setTerminated` in interface `ITestEntity`
Overrides:
  `setTerminated` in class `TestContainer`
Parameters:
  `newTerminated` - the new value of the 'Terminated' attribute.
See Also:
  `ITestEntity.isTerminated()`

#### reset

    public void reset()

Specified by:
  `reset` in interface `ITestEntity`
Overrides:
  `reset` in class `TestContainer`

#### getEstimatedDuration

    public long getEstimatedDuration()

Description copied from class: `TestContainer`

Specified by:
  `getEstimatedDuration` in interface `ITestEntity`
Overrides:
  `getEstimatedDuration` in class `TestContainer`
Returns:
  the value of the 'Estimated Duration' attribute.
See Also:
  `ITestEntity.setEstimatedDuration(long)`, `IRuntimePackage.getTestEntity_EstimatedDuration()`